### Method

# ICalGLib Parser parse

since: 1.0

#### Declaration [src]

    ICalComponent*
    i_cal_parser_parse (
      ICalParser* parser,
      ICalParserLineGenFunc func,
      gpointer user_data
    )

#### Description [src]

Icalparser_parse takes a string that holds the text ( in RFC 2445 format ) and returns a pointer to an `ICalComponent`. The caller owns the memory. `func` is a pointer to a function that returns one content line per invocation.

Available since: 1.0

#### Parameters

`func`

  Type: `ICalParserLineGenFunc`

  The function used to parse.

`user_data`

  Type: `gpointer`

  The data given to `func`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

#### Return value

Type: `ICalComponent`

The component output by the parser.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.